services:
  acquia_dam.sql_sanitize:
    class: Drupal\acquia_dam\Commands\SqlSanitizeCommands
    arguments: ['@state', '@user.data']
    tags:
      - { name: drush.command }
  acquia_dam.download_assets:
    class: Drupal\acquia_dam\Drush\Commands\DownloadAssetsDrushCommands
    arguments: ['@acquia_dam.asset_repository', '@entity_type.manager']
    tags:
      - { name: drush.command }
  acquia_dam.update_assets:
    class: Drupal\acquia_dam\Drush\Commands\AssetUpdateDrushCommands
    arguments: ['@acquia_dam.asset_updater', '@entity_type.manager', '@acquia_dam.client.factory', '@acquia_dam.media_type_resolver', '@acquia_dam.asset_file_helper', '@database']
    tags:
      - { name: drush.command }
